Bug 1538171 - Kibana timeout if viewing many (100M) records
Summary: Kibana timeout if viewing many (100M) records
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.7.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1530157 1589905
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-24 15:07 UTC by Jeff Cantrill
Modified: 2018-06-11 15:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The load on the ES cluster is great enough to cause a request from Kibana to timeout before it is able to get a response. Consequence: No results are returned and Kibana displays an error. Fix: Modify the kibana image to allow configuration of the request timeout Result: Kibana is able to retrieve data from Elasticsearch
Clone Of: 1530157
Environment:
Last Closed: 2018-04-05 09:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 905 None None None 2018-01-24 15:07:48 UTC
Github openshift origin-aggregated-logging pull 913 None None None 2018-01-24 15:08:32 UTC
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:35:55 UTC

Comment 3 Jeff Cantrill 2018-02-01 14:35:48 UTC
Ansible PR to support env setting during deployment: https://github.com/openshift/openshift-ansible/pull/6961

Comment 4 Anping Li 2018-02-25 06:40:56 UTC
The timeout values can be modified as env in openshift3/logging-kibana/images/v3.7.31-1

The ENV can be set by openshift_logging_kibana_env_vars via openshift-ansible-3.7.29

So move bug to verified.

Comment 8 errata-xmlrpc 2018-04-05 09:35:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.